# RetrieveRoomBannedUsers

`GET /webcast/rooms/{room_id}/moderation/bans`

Retrieve the list of banned users in a livestream room.

## Example (cURL)

```bash
curl -X GET "https://api.eulerstream.com/webcast/rooms/{room_id}/moderation/bans?page=0&page=0" \
  -H "x-api-key: YOUR_API_KEY"
```

## Path Parameters

| Parameter | Type | Required | Description |
|-----------|------|----------|-------------|
| `room_id` | string | Yes | The room ID of the livestream |

## Query Parameters

| Parameter | Type | Required | Description |
|-----------|------|----------|-------------|
| `page` | number | No | Page number for pagination |

## Header Parameters

| Parameter | Type | Required | Description |
|-----------|------|----------|-------------|
| `x-oauth-token` | string | No | OAuth access token for session resolution |
| `x-cookie-header` | string | No | Cookie header containing sessionid and tt-target-idc |

## Responses

### 200 — Ok

**Content Type:** `application/json`

| Property | Type | Required | Description |
|----------|------|----------|-------------|
| `code` | number | Yes |  |
| `message` | string | No |  |
| `response` | object | No |  |

**`response`** child attributes:

| Property | Type | Required | Description |
|----------|------|----------|-------------|
| `data` | object | Yes |  |

**`data`** child attributes:

| Property | Type | Required | Description |
|----------|------|----------|-------------|
| `data` | array of object | Yes |  |
| `extra` | object | Yes |  |
| `status_code` | number | Yes |  |

**`extra`** child attributes:

| Property | Type | Required | Description |
|----------|------|----------|-------------|
| `has_more` | boolean | Yes |  |
| `next_cursor` | number | Yes |  |
| `now` | number | Yes |  |
| `total` | number | Yes |  |





### 429 — Too Many Requests

**Content Type:** `application/json`

| Property | Type | Required | Description |
|----------|------|----------|-------------|
| `code` | integer | Yes |  |
| `message` | string | Yes |  |


### 500 — Internal Server Error

**Content Type:** `application/json`

| Property | Type | Required | Description |
|----------|------|----------|-------------|
| `code` | integer | Yes |  |
| `message` | string | Yes |  |


### 503 — Service Unavailable

**Content Type:** `application/json`

| Property | Type | Required | Description |
|----------|------|----------|-------------|
| `code` | integer | Yes |  |
| `message` | string | Yes |  |

